# -*- makefile -*-

bin_PROGRAMS = bloader

bloader_SOURCES = bloader.c 
bloader_LIBS = boot_fn bspbase
#bloader_MOREOBJS = boot_fn.o

link_VARIANTS = boot bload

VERBOSE=-vv

TOHIT=$(USER_COMPILED_DIR_NAME)/bin-utils/tohit -d $(HIT_DEV)
HIT_BAUD=19200

.PHONY: bootstrap bootstrap_ram bootstrap_erase bootstrap_flash
bootstrap: bootstrap_ram bootstrap_erase bootstrap_flash

bootstrap_ram:
	@$(QUIET_CMD_ECHO) "Bootstrap to internal ram"
	$(Q)$(TOHIT) $(VERBOSE) --baud 4800 --command B --blockmode 128 $(USER_COMPILED_DIR_NAME)/bin/bloader-bload.bin || exit 1
	@$(QUIET_CMD_ECHO) "Done"
	@sleep 1

bootstrap_erase:
	@$(QUIET_CMD_ECHO) "Erasing flash"
	$(Q)$(TOHIT) $(VERBOSE) --baud $(HIT_BAUD) --erase --start 0x000000 --length 0x1600 || exit 1
	@$(QUIET_CMD_ECHO) "Done"
	@sleep 1

bootstrap_flash:
	@$(QUIET_CMD_ECHO) "Programming flash"
	$(Q)$(TOHIT) $(VERBOSE) --baud $(HIT_BAUD) --command 1 --blockmode 32 --start 0x000000 $(USER_COMPILED_DIR_NAME)/bin/bloader-boot.bin || exit
